Bug 209874 - at some situations mkinitd fail to create image
at some situations mkinitd fail to create image
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mkinitrd (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Lane
Kevin Baker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-07 05:47 EDT by Alex Lyashkov
Modified: 2014-12-01 18:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-27 13:59:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex Lyashkov 2006-10-07 05:47:53 EDT
Description of problem:
at some situations mkinitd fail to create image with don`t find ide-disk module.

Version-Release number of selected component (if applicable):
mkinitrd-4.2.1.6-1

How reproducible:
100%

Steps to Reproduce:
1. has box without connected ide drivers
2. try to create initrd image.
  
Actual results:
fail

Expected results:
create initrd image

Additional info:
posible fix.
# diff -u mkinitrd.old mkinitrd
--- mkinitrd.old        2006-10-07 12:43:19.000000000 -0400
+++ mkinitrd    2006-10-07 12:44:15.000000000 -0400
@@ -418,8 +418,8 @@
 fi

 # If we have ide devices and module ide, do the right thing
-ide=/proc/ide/ide*
-if [ -n "$ide" ]; then
+ls '/proc/ide/ide*' >& /dev/null
+if [ $? -eq 0 ]; then
     for n in $PREIDEMODS; do
     findmodule $n
     done
Comment 1 Alex Lyashkov 2006-10-07 05:49:03 EDT
ps. i found this bug at trustix linux but seems same bug exist at RH EL3/RH EL/4.

Note You need to log in before you can comment on or make changes to this bug.